<ion-header>
  <ion-toolbar color="primary">
    <ion-buttons slot="start">
      <ion-button (click)="back()"><ion-icon name="md-arrow-back"></ion-icon></ion-button>
    </ion-buttons>
    <ion-title>{{title}}</ion-title>
  </ion-toolbar>
</ion-header>

<ion-content>
  <ion-list>
    <ion-item>
      <ion-label color="medium">
        <h2>Release Date</h2>
      </ion-label>
      <p slot="end">{{collectionPlan.ReleaseDate | date: 'MM/dd/yyyy'}}</p>
    </ion-item>
    <ion-item>
      <ion-label color="medium">
        <h2>Period</h2>
      </ion-label>
      <p slot="end">{{collectionPlan.CollectionPeriodFrom | date: 'MM/dd/yyyy'}} - {{collectionPlan.CollectionPeriodTo | date: 'MM/dd/yyyy'}}</p>
    </ion-item>       
    <ion-item>
      <ion-label color="medium">
        <h2>Collectible</h2>
      </ion-label>
      <p slot="end">{{collectionPlan.TotalCollectible | currency: ' '}}</p>
    </ion-item>
    <ion-item>
      <ion-label color="medium">
        <h2>Collected</h2>
      </ion-label>
      <p slot="end">{{collectionPlan.TotalCollected | currency: ' '}}</p>
    </ion-item>
    <ion-item>
      <ion-label color="medium">
        <h2>Balance</h2>
      </ion-label>
      <p slot="end">{{collectionPlan.TotalBalance | currency: ' '}}</p>
    </ion-item>
    <ion-item *ngIf="collectionPlan.Remarks">
      <ion-label color="medium" slot="start">
        <h2>Remarks</h2>
      </ion-label>
      <p slot="end">{{collectionPlan.Remarks}}</p>
    </ion-item>
    <ion-item-divider color="medium">
      <ion-label>
        <h2>Invoices ({{collectionPlan.Details.length}})</h2>
      </ion-label>
    </ion-item-divider>
    <ion-item *ngFor="let invoice of collectionPlan.Details">     
      <p class="date"># {{invoice.InvoiceID}}<p>     
      <ion-label>      
        <h2>{{invoice.Customer}}</h2>
        <p>Amount: {{invoice.AmountToCollect | currency: ' '}}</p>
        <p>Paid: {{invoice.AmountCollected | currency: ' '}}</p>
        <p>Balance: {{invoice.Balance | currency: ' '}}</p>
      </ion-label>
      
      <ion-label slot="end" class="amount-labels" hidden>
        <p>Tax: {{invoice.Tax | currency: ' '}}</p>
        <p>Amount: {{invoice.Amount | currency: ' '}}</p>
        <p class="c-primary">Paid: {{invoice.AmountPaid | currency: ' '}}</p>
      </ion-label>
    </ion-item>
  </ion-list>
</ion-content>